' (c) Universidad de Oviedo.
' 
' This is part of the "SQLTools" set of tools for database testing.
' See SQLTools terms of use at: http://in2test.lsi.uniovi.es/sqltools/common/license.aspx
' 
' Sample program for testing the SQLMutation Web Service.
'
' @author Javier Tuya
' @date August 2006
' 
' THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. 
' EXCEPT WHEN OTHERWISE STATED IN WRITING, THE COPYRIGHT HOLDER PROVIDE THE PROGRAM "AS IS" 
' WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, 
' THE IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE 
' QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, 
' YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
' 
' IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING, ANY COPYRIGHT 
' HOLDER WILL BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL 
' OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM 
' (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES 
' SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER 
' PROGRAMS), EVEN IF SUCH HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
' 
Public Class Form1
    Inherits System.Windows.Forms.Form

#Region " Cdigo generado por el Diseador de Windows Forms "

    Public Sub New()
        MyBase.New()

        'El Diseador de Windows Forms requiere esta llamada.
        InitializeComponent()

        'Agregar cualquier inicializacin despus de la llamada a InitializeComponent()

    End Sub

    'Form reemplaza a Dispose para limpiar la lista de componentes.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Requerido por el Diseador de Windows Forms
    Private components As System.ComponentModel.IContainer

    'NOTA: el Diseador de Windows Forms requiere el siguiente procedimiento
    'Puede modificarse utilizando el Diseador de Windows Forms. 
    'No lo modifique con el editor de cdigo.
    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents Label2 As System.Windows.Forms.Label
    Friend WithEvents sql As System.Windows.Forms.TextBox
    Friend WithEvents schema As System.Windows.Forms.TextBox
    Friend WithEvents Label3 As System.Windows.Forms.Label
    Friend WithEvents mutants As System.Windows.Forms.TextBox
    Friend WithEvents generate As System.Windows.Forms.Button
    Friend WithEvents status As System.Windows.Forms.Label
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.Label1 = New System.Windows.Forms.Label
        Me.Label2 = New System.Windows.Forms.Label
        Me.sql = New System.Windows.Forms.TextBox
        Me.schema = New System.Windows.Forms.TextBox
        Me.Label3 = New System.Windows.Forms.Label
        Me.mutants = New System.Windows.Forms.TextBox
        Me.generate = New System.Windows.Forms.Button
        Me.status = New System.Windows.Forms.Label
        Me.SuspendLayout()
        '
        'Label1
        '
        Me.Label1.Location = New System.Drawing.Point(8, 16)
        Me.Label1.Name = "Label1"
        Me.Label1.Size = New System.Drawing.Size(56, 23)
        Me.Label1.TabIndex = 0
        Me.Label1.Text = "Query:"
        '
        'Label2
        '
        Me.Label2.Location = New System.Drawing.Point(8, 104)
        Me.Label2.Name = "Label2"
        Me.Label2.Size = New System.Drawing.Size(64, 23)
        Me.Label2.TabIndex = 1
        Me.Label2.Text = "Schema:"
        '
        'sql
        '
        Me.sql.Location = New System.Drawing.Point(80, 16)
        Me.sql.Multiline = True
        Me.sql.Name = "sql"
        Me.sql.ScrollBars = System.Windows.Forms.ScrollBars.Both
        Me.sql.Size = New System.Drawing.Size(720, 80)
        Me.sql.TabIndex = 2
        Me.sql.Text = ""
        '
        'schema
        '
        Me.schema.Location = New System.Drawing.Point(80, 104)
        Me.schema.Multiline = True
        Me.schema.Name = "schema"
        Me.schema.ScrollBars = System.Windows.Forms.ScrollBars.Both
        Me.schema.Size = New System.Drawing.Size(720, 128)
        Me.schema.TabIndex = 3
        Me.schema.Text = ""
        '
        'Label3
        '
        Me.Label3.Location = New System.Drawing.Point(8, 272)
        Me.Label3.Name = "Label3"
        Me.Label3.Size = New System.Drawing.Size(56, 16)
        Me.Label3.TabIndex = 4
        Me.Label3.Text = "Mutants:"
        '
        'mutants
        '
        Me.mutants.Location = New System.Drawing.Point(80, 272)
        Me.mutants.Multiline = True
        Me.mutants.Name = "mutants"
        Me.mutants.ScrollBars = System.Windows.Forms.ScrollBars.Both
        Me.mutants.Size = New System.Drawing.Size(720, 208)
        Me.mutants.TabIndex = 5
        Me.mutants.Text = ""
        '
        'generate
        '
        Me.generate.Location = New System.Drawing.Point(8, 240)
        Me.generate.Name = "generate"
        Me.generate.Size = New System.Drawing.Size(120, 23)
        Me.generate.TabIndex = 6
        Me.generate.Text = "Get Mutants"
        '
        'status
        '
        Me.status.Location = New System.Drawing.Point(152, 248)
        Me.status.Name = "status"
        Me.status.Size = New System.Drawing.Size(552, 16)
        Me.status.TabIndex = 7
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(6, 15)
        Me.ClientSize = New System.Drawing.Size(808, 488)
        Me.Controls.Add(Me.status)
        Me.Controls.Add(Me.generate)
        Me.Controls.Add(Me.mutants)
        Me.Controls.Add(Me.Label3)
        Me.Controls.Add(Me.schema)
        Me.Controls.Add(Me.sql)
        Me.Controls.Add(Me.Label2)
        Me.Controls.Add(Me.Label1)
        Me.Name = "Form1"
        Me.Text = "SQLMutationWSClient"
        Me.ResumeLayout(False)

    End Sub

#End Region

    Private Sub generate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles generate.Click
        Try
            Me.mutants.Text = ""
            Me.status.Text = "Calling the Web Service ..."
            Application.DoEvents()
            ' Creates the proxy object and calls the service
            Dim proxy As New es.uniovi.lsi.in2test.sqlmutationws.SQLMutationWS
            Dim result As String = proxy.getMutants(Me.sql.Text, Me.schema.Text, "")
            'modify newline chars
            result = Replace(result, ControlChars.Lf, ControlChars.NewLine)
            Me.mutants.Text = result
            Me.status.Text = "Success"
        Catch ex As Exception
            Me.status.Text = "Exception: " & ex.Message
            MsgBox("Exception: " & ex.ToString)
        End Try
    End Sub
End Class
